<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmInstallFileFlags Enumeration
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmInstallFileFlags Enumeration

Visual Basic
C#
C++/CLI
Operations used in calls to IEdmVault12::InstallFile to control the installation of data.

# Syntax

Visual Basic |
--- | ---

    Public Enum EdmInstallFileFlags
       Inherits System.Enum

C# |
--- | ---

    public enum EdmInstallFileFlags : System.Enum

C++/CLI |
--- | ---

    public enum class EdmInstallFileFlags : public System.Enum

# Members

Member | Description
--- | ---
EdmIff_Nothing | 0 = Default operation
EdmIff_ReplaceDuplicates | 1 = This flag is used for CEX-files when you want to replace duplicate objects in the vault; i.e., if you are importing a group named "ABC" and if there is already a different group named "ABC" in the vault, it will be silently replaced; the default behavior is not to replace duplicates

# See Also

####

EPDM.Interop.epdm Namespace